Package writer2latex.xhtml

# Class BatchConverterImpl

java.lang.Object
writer2latex.base.BatchConverterBase
writer2latex.xhtml.BatchConverterImpl

All Implemented Interfaces:
  `BatchConverter`

public class BatchConverterImpl extends BatchConverterBase
Implementation of `writer2latex.api.BatchConverter` for xhtml 1.0 strict

## Constructor Summary

Constructors
Constructor
Description
`BatchConverterImpl()`

## Method Summary

Modifier and Type
Method
Description
`OutputFile`
`createIndexFile(String sHeading, IndexPageEntry[] entries)`
Create an index page with specific entries
`Config`
`getConfig()`
Get the configuration interface for this batch converter
`protected String`
`getIndexFileName()`
`void`
`readTemplate(File file)`
Read a template to use as a base for the index pages.
`void`
`readTemplate(InputStream is)`
Read a template to use as a base for the index pages.

### Methods inherited from class writer2latex.base.BatchConverterBase

`convert, setConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchConverterImpl

public BatchConverterImpl()

## Method Details

### getConfig

public Config getConfig()
Description copied from interface: `BatchConverter`
Get the configuration interface for this batch converter

Returns:
  the configuration

### readTemplate

public void readTemplate(InputStream is) throws IOException
Description copied from interface: `BatchConverter`
Read a template to use as a base for the index pages. The format of the template depends on the `BatchConverter` implementation.

Parameters:
  `is` - an `InputStream` from which to read the template
Throws:
  `IOException` - if some exception occurs while reading the template

### readTemplate

public void readTemplate(File file) throws IOException
Description copied from interface: `BatchConverter`
Read a template to use as a base for the index pages. The format of the template depends on the `BatchConverter` implementation.

Parameters:
  `file` - the file from which to read the template
Throws:
  `IOException` - if the file does not exist or some exception occurs while reading the template

### getIndexFileName

protected String getIndexFileName()

Specified by:
  `getIndexFileName` in class `BatchConverterBase`

### createIndexFile

public OutputFile createIndexFile(String sHeading, IndexPageEntry[] entries)
Description copied from interface: `BatchConverter`
Create an index page with specific entries

Parameters:
  `sHeading` - a heading describing the index page
  `entries` - an array of `IndexPageEntry` objects (null entries are allowed, and will be ignored) describing the individual directories and documents